Summary: Interface to PGP and GPG in emacs
Name: mailcrypt
%define version 3.5.5
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/Editors
Source0: http://www.pobox.com/~lbudney/linux/software/mailcrypt-%{version}.tar.gz
Source1: mailcrypt-init.el
Requires: emacs >= 20.3, perl
Prereq: /sbin/install-info
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-root

%description
Mailcrypt is a PGP interface for emacs.

%prep
%setup -q

%build
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/mailcrypt

install -m 0644 $RPM_SOURCE_DIR/mailcrypt-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/mailcrypt
install -m 0644 mailcrypt.info* $RPM_BUILD_ROOT/usr/info
gzip -9f $RPM_BUILD_ROOT/usr/info/* mailcrypt.{dvi,texi}

for file in mailcrypt.el* mc-toplev.el* mc-pgp.el* mc-remail.el* mc-pgp5.el* \
            mc-gpg.el* expect.el* mc-setversion.el*
do
  install -m 0644 $file $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/mailcrypt
done;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/mailcrypt.info.gz /usr/info/dir \
                   --section="GNU Emacs" \
                   --entry="* Mailcrypt: (mailcrypt). An EMACS Interface to PGP."

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/mailcrypt.info.gz /usr/info/dir \
                       --section="GNU Emacs" \
                       --entry="* Mailcrypt: (mailcrypt). An EMACS Interface to PGP."
fi

%files
%dir /usr/share/emacs/site-lisp/mailcrypt
%doc ANNOUNCE ChangeLog NEWS mailcrypt.dvi.gz INSTALL ONEWS LCD-entry README README.gpg mailcrypt.texi.gz
/usr/info/*
/usr/share/emacs/site-lisp/mailcrypt/*
